---
# Load distro specific variables
- include_vars: "{{ ansible_distribution | lower }}.yml"
  tags: always
  ignore_errors: True
- include_vars: "{{ ansible_fqdn | lower }}.yml"
  ignore_errors: True

- import_tasks: install_docker.yml
- import_tasks: install_portainer.yml
  when:
    - run_portainer is defined
    - run_portainer == true
- import_tasks: install_portainer_agent.yml
  when:
    - run_portainer_agent is defined
    - run_portainer_agent == true